> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an account



## OpenAPI

````yaml api-reference/openapi.json post /api/accounts
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/accounts:
    post:
      tags:
        - Accounts
      summary: Create an account
      operationId: AccountsController_createAccount
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccountDTO'
      responses:
        '200':
          description: The account has been successfully created.
components:
  schemas:
    CreateAccountDTO:
      type: object
      properties:
        name:
          type: string
          description: Account name
          example: Cash Account
          minLength: 3
          maxLength: 255
        code:
          type: string
          description: Account code
          example: CA001
          minLength: 3
          maxLength: 6
        currencyCode:
          type: string
          description: Currency code for the account
          example: USD
        accountType:
          type: string
          description: Type of account
          example: asset
          minLength: 3
          maxLength: 255
        description:
          type: string
          description: Account description
          example: Main cash account for daily operations
          maxLength: 65535
        parentAccountId:
          type: number
          description: ID of the parent account
          example: 1
        active:
          type: boolean
          description: Whether the account is active
          example: true
          default: true
        plaidAccountId:
          type: string
          description: Plaid account ID for syncing
          example: plaid_account_123456
        plaidItemId:
          type: string
          description: Plaid item ID for syncing
          example: plaid_item_123456
      required:
        - name
        - accountType

````